libquicktime: lqt_codec_info_s Struct Reference

# lqt_codec_info_s Struct Reference
[Codec registry]

Structure describing a codec. More...

`#include <lqt_codecinfo.h>`

## Data Fields
int | compatibility_flags
char * | name
char * | long_name
char * | description
lqt_codec_type | type
lqt_codec_direction | direction
int | num_fourccs
char ** | fourccs
int | num_wav_ids
int * | wav_ids
int | num_encoding_parameters
lqt_parameter_info_t * | encoding_parameters
int | num_decoding_parameters
lqt_parameter_info_t * | decoding_parameters
char * | module_filename
int | module_index
uint32_t | file_time
char * | gettext_domain
char * | gettext_directory
int | num_encoding_colormodels
int * | encoding_colormodels
struct lqt_codec_info_s * | next

## Detailed Description

Structure describing a codec.

## Field Documentation

int lqt_codec_info_s::compatibility_flags

Compatibility flags (not used right now)

char* lqt_codec_info_s::name

Name of the codec (used internally)

char* lqt_codec_info_s::long_name

More human readable name of the codec

char* lqt_codec_info_s::description

Description

lqt_codec_type lqt_codec_info_s::type

Type (audio or video)

lqt_codec_direction lqt_codec_info_s::direction

Direction (encode, decode or both)

int lqt_codec_info_s::num_fourccs

Number of fourccs (Four character codes), this codec can handle

char** lqt_codec_info_s::fourccs

Fourccs this codec can handle

int lqt_codec_info_s::num_wav_ids

Number of M$ wav ids, this codec can handle

int* lqt_codec_info_s::wav_ids

Wav ids, this codec can handle (for AVI only)

int lqt_codec_info_s::num_encoding_parameters

Number of encoding parameters

lqt_parameter_info_t* lqt_codec_info_s::encoding_parameters

Encoding parameters

int lqt_codec_info_s::num_decoding_parameters

Number of decoding parameters

lqt_parameter_info_t* lqt_codec_info_s::decoding_parameters

Decoding parameters

char* lqt_codec_info_s::module_filename

Filename of the module

int lqt_codec_info_s::module_index

Index inside the module

uint32_t lqt_codec_info_s::file_time

File modification time of the module

char* lqt_codec_info_s::gettext_domain

First argument to bindtextdomain()

char* lqt_codec_info_s::gettext_directory

Second argument to bindtextdomain()

int lqt_codec_info_s::num_encoding_colormodels

Number of supported encoding colormodels (since 1.1.2)

int* lqt_codec_info_s::encoding_colormodels

Supported encoding colormodels (since 1.1.2)

struct lqt_codec_info_s* lqt_codec_info_s::next`[read]`

For chaining (used internally only)

The documentation for this struct was generated from the following file:

- /tmp/tgz/libquicktime-1.1.3/include/quicktime/lqt_codecinfo.h